require "lotohelp/version"
require "lotohelp/configuration"
require "lotohelp/request"
require "lotohelp/concourse"
require "lotohelp/lottery"
require "typhoeus"
require "json"

module Lotohelp
  @hostname = "www.lotohelper.com/api"
  @protocol = "https"
  @version = "v1"

  def self.configure
    yield Config
  end

  def self.request
    yield Request
  end

  def self.entrypoint
    "#{@protocol}://#{@hostname}/#{@version}"
  end
end
